Intereting Posts
Algolia Firebase и Android интеграция Javadoc не отображается при использовании локального репозитория Maven Исключение при изменении уровня доступа к записи в виде ведра с помощью Kii Cloud SDK Фоновая служба с firebase childeventlistener не работает через несколько минут Gradle DSL Метод не найден: packagingOptions () EGL_emulation не удалось установить соединение с host-android Уменьшите размер растрового изображения до указанного размера в Android Файлы проекта Android Studio не отображаются Забыл пароль Keystore, думая об обнаружении Brute-Force. Это повредит хранилище ключей? Spoof или фальшивое местоположение на телефоне Android Почему мы устанавливаем контентное представление в onCreate (), а не в onStart () или onResume ()? Как вы могли бы вызвать метод из всех экземпляров класса? Передача массива в rsForEach в Renderscript Compute Android javax.annotation.processing Пакет отсутствует Потоковая передача MP3 в C # .NET 4.5.1 MVC 5.2.2 на Samsung 6S

Можем ли мы отображать Lopipop-стиль DatePicker в устройствах kitkat?

Я пытаюсь отобразить дампикер типа lollipop в устройстве 4.4.2. Может кто-нибудь дать мне некоторое представление, с чего начать или это даже возможно?

Поскольку все больше людей переключаются на дизайн Материала, хорошо иметь ответ в качестве ссылки.

Прежде всего, сборщик даты НЕ приходит с темой на устройствах, предшествующих Lollipop

Но хорошая новость заключается в том, что вам не нужно самостоятельно переносить библиотеку, другие уже сделали это.

Проверьте https://github.com/wdullaer/MaterialDateTimePicker или https://github.com/CiTuX/datetimepicker

Обе библиотеки поддерживают андроид версии 4.0 и выше (уровень API 14). Я лично пробовал 1-й, и он отлично работает.

Для тех, кто поддерживает Android 2.1+ и / или использует библиотеку support-v4 или AppCompatActivity из support-v7 я предлагаю эту библиотеку . Это клон Flavien Laurent Date and Time Picker с некоторыми улучшениями. Оба они основаны на официальном Google Date and Time Picker для Android 4.3+, но адаптированы для Android 2.1+.

https://github.com/wdullaer/MaterialDateTimePicker работает только с Android 4.0+, а его DatePickerDialog расширяет android.app.DialogFragment который бесполезен, если вы используете android.support.v7.app.AppCompatActivity потому что он работает с фрагментами, расширяющими android.support.v4.app.Fragment .